Bug 533286 - Errors while using 'su'
Summary: Errors while using 'su'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elektra
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-05 21:41 UTC by Jeffrey C. Ollie
Modified: 2009-11-12 01:00 UTC (History)
5 users (show)

Fixed In Version: 0.7.0-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 00:58:58 UTC
Type: ---


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2009-11-05 21:41:19 UTC
Description of problem:  'su -' takes a long time, it appears that PackageKit is refreshing the yum metadata to look up a missing command.


How reproducible:
Always

Steps to Reproduce:
1. Bring up a terminal
2. su -
  
Actual results:
[jcollie@lt26923 ~]$ su -
Password: 
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: alias: Command: not found
-bash: alias: not: not found
-bash: alias: found.: not found
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: alias: Command: not found
-bash: alias: not: not found
-bash: alias: found.: not found
[root@lt26923 ~]#

Expected results:
[jcollie@lt26923 ~]$ su -
Password: 
[root@lt26923 ~]#

Additional info:

Comment 1 Richard Hughes 2009-11-06 11:45:57 UTC
What version PackageKit? Thanks.

Comment 2 Jeffrey C. Ollie 2009-11-06 12:55:07 UTC
[jcollie@lt26923 ~]$ rpm -qa | grep PackageKit | sort
PackageKit-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-command-not-found-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-device-rebind-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-glib-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-gstreamer-plugin-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-gtk-module-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-yum-0.5.4-0.1.20091029git.fc12.x86_64
PackageKit-yum-plugin-0.5.4-0.1.20091029git.fc12.x86_64

Comment 3 Jeffrey C. Ollie 2009-11-06 20:08:40 UTC
After doing some more investigation, I found this:

[root@lt26923 ~]# cd /etc/profile.d/
[root@lt26923 profile.d]# . elektra-elektraenv.sh 
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: alias: Command: not found
-bash: alias: not: not found
-bash: alias: found.: not found
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: export: `found.': not a valid identifier
-bash: alias: Command: not found
-bash: alias: not: not found
-bash: alias: found.: not found
[root@lt26923 profile.d]# rpm -qf elektra-elektraenv.sh 
elektra-0.7.0-2.fc12.x86_64

Comment 4 Jeffrey C. Ollie 2009-11-06 20:14:16 UTC
Looking at /etc/profile.d/elektra-elektraenv.sh I see the following:

    if [ -z "$KDB" ]; then
            KDB=kdb
    fi

The elekra package does not provide a binary called "kdb", instead it's called "elektra-kdb".  /etc/profile.d/elektra-elektraenv.sh probably needs to be patched...

Reassigning to elektra.

Comment 5 Jeffrey C. Ollie 2009-11-06 20:42:04 UTC
Made the following change and things are working now:

--- elektra-elektraenv.sh~	2008-10-16 13:53:35.000000000 -0500
+++ elektra-elektraenv.sh	2009-11-06 14:25:29.547304188 -0600
@@ -36,7 +36,7 @@
 
 
 if [ -z "$KDB" ]; then
-	KDB=kdb
+	KDB=elektra-kdb
 fi
 
 FILE="`mktemp -t elektraenv.XXXXXXXXX`"

Comment 6 Nicolas Chauvet (kwizart) 2009-11-08 16:39:50 UTC
Thx for the report, for some reason, it didn't appeared earlier in F-11
Fixed in F-11 -> Rawhide

Comment 7 Fedora Update System 2009-11-08 16:47:54 UTC
elektra-0.7.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/elektra-0.7.0-2.fc11

Comment 8 Fedora Update System 2009-11-08 16:48:33 UTC
elektra-0.7.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/elektra-0.7.0-3.fc12

Comment 9 Fedora Update System 2009-11-10 17:57:56 UTC
elektra-0.7.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elektra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11299

Comment 10 Fedora Update System 2009-11-10 17:58:07 UTC
elektra-0.7.0-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elektra'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11301

Comment 11 Fedora Update System 2009-11-12 00:58:52 UTC
elektra-0.7.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-12 01:00:29 UTC
elektra-0.7.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.